<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="Description" content="Perserverance Wordpress Theme for ADASiteCompliance.com">
    <title><?php echo get_bloginfo('name'); ?></title>
    <link href="<?php bloginfo('stylesheet_url');?>" rel="stylesheet">
    <link rel="stylesheet"
        href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
        integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU"
        crossorigin="anonymous">
    <?php wp_head(); ?>
    <meta name="theme-color" content="<?php get_theme_mod( 'primary_color' ) ?>">
</head>

<body>
    <!-- Navbar -->
    <div id="top" class="shadow-sm">
        <nav class="navbar">

            <div class="skip-navigation">
                <a class="sr-only sr-only-focusable" href="#content">Skip to main content</a>
                <a class="sr-only sr-only-focusable" href="#sitenav">Skip to main navigation</a>
                <a class="sr-only sr-only-focusable" href="#footer">Skip to footer</a>
            </div>

            <div class="<?php echo set_theme_container(); ?>">
            
                <a id="sitenav" class="navbar-brand <?php
                    if ( has_nav_menu( 'top-level' ) ) {
                        echo 'ml-auto ml-md-0 mr-auto';
                    } else {
                        echo 'mx-auto';
                    } ?>"
                    href="<?php echo get_home_url(); ?>">
                    <?php if ( get_theme_mod( 'perseverance_theme_logo' ) ) : ?>
                        <img src="<?php echo get_theme_mod( 'perseverance_theme_logo' ); ?>"
                            alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                            width="<?php
                            if ( get_theme_mod( 'perseverance_theme_logo_width' ) ) {
                                echo get_theme_mod( 'perseverance_theme_logo_width' );
                            } else { 
                                echo 50;
                            } ?>" />
                        
                    <?php else : // add a fallback if the logo doesn't exist ?>
                        
                        <?php if ( get_theme_mod( 'perseverance_theme_icon' ) ) : ?>
                        <i class="<?php echo get_theme_mod( 'perseverance_theme_icon' ) ?>"></i>
                        <?php endif; ?>
                        <?php echo get_bloginfo('name'); ?>
                        
                    <?php endif; ?>
                </a>
                
                <?php if ( has_nav_menu( 'top-level' ) ) : ?>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggler"
                        aria-controls="navbarToggler" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="align-middle">Menu</span><span class="navbar-toggler-icon ml-1"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarToggler">
                        <?php wp_nav_menu(
                            array(
                                'menu' => 'top-level',
                                'theme_location' => 'top-level',
                                'depth' => 2,
                                'container' => 'ul',
                                'menu_id' => 'main-nav',
                                'menu_class' => 'navbar-nav',
                                //Process nav menu using our custom nav walker
                                'walker' => new wp_bootstrap_navwalker()
                            )
                        ); ?>
                    </div>
                <?php endif; ?>
            </div>
        </nav>

        <?php if ( !get_theme_mod( "perseverance_theme_subnav" ) ) : ?>
            <div class="subnav">
                <div class="<?php echo set_theme_container(); ?>">
                    <div class="row">
                        <div class="col">

                            <?php if ( has_nav_menu( 'bottom-level' ) ) : ?>
                                <button class="navbar-toggler btn-block mb-2" type="button" data-toggle="collapse" data-target="#subnavToggler"
                                    aria-controls="subnavToggler" aria-expanded="false" aria-label="Toggle navigation">
                                    <span class="align-middle">View More Links</span><i class="fas fa-chevron-down ml-1"></i>
                                </button>
                                <div class="collapse navbar-collapse" id="subnavToggler">

                                    <?php wp_nav_menu(
                                        array(
                                            'menu' => 'bottom-level',
                                            'theme_location' => 'bottom-level',
                                            'depth' => 2,
                                            'container' => 'ul',
                                            'menu_id' => 'subnav-menu',
                                            'menu_class' => 'category-tags',
                                            //Process nav menu using our custom nav walker
                                            'walker' => new wp_bootstrap_navwalker()
                                        )
                                    ); ?>
                                </div>
                            <?php endif; ?>

                        </div>

                        <?php if ( !get_theme_mod( "perseverance_theme_search" ) || is_active_sidebar( 'subnav_aside' ) ) : ?>
                            <div class="col-lg-4 ml-auto">
                                
                                <?php
                                    if ( is_active_sidebar( 'subnav_aside' ) ) :
                                        dynamic_sidebar( 'subnav_aside' );
                                    else:
                                        get_search_form();
                                    endif;
                                ?>

                            </div>
                        <?php endif; ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <div id="content">