<?php
    get_header();
    get_template_part( 'templates/hero' );
    get_template_part( 'templates/content-before' );
    
    if ( get_theme_mod( "perseverance_homepage_featured" ) ):
        $the_query = new WP_Query( array(
            'category_name' => get_theme_mod( "perseverance_homepage_featured" ),
            'posts_per_page' => get_theme_mod( "perseverance_homepage_featlength" ),
        ));

        if ( $the_query->have_posts() ): ?>
            <div class="<?php echo set_theme_container(); ?>">
                <div class="row py-5">
                    <main class="col">

                        <?php while ( $the_query->have_posts() ):
                            $the_query->the_post() ?>

                        <div class="card flex-md-row mb-4 bg-card-gradient shadow-sm h-md-250">
                            <div class="card-body d-flex flex-column align-items-start">

                                <strong class="featured-title">Featured Post</strong>
                                <h2 class="mb-0">
                                    <a class="text-body" href="<?php the_permalink(); ?>">
                                        <?php the_title(); ?>
                                    </a>
                                </h2>
                                <div class="mb-1 text-muted">
                                    <?php the_date();?>
                                </div>
                                <p class="card-text mb-auto">
                                    <?php the_excerpt(); ?>
                                </p>

                            </div>
                            
                            <?php
                                if (has_post_thumbnail()) :
                                    echo the_post_thumbnail( 'medium', ['class' => 'card-img-right rounded-right d-none d-lg-block'] );
                                endif;
                            ?>
                        </div>

                        <?php endwhile;?>
                    </main>
                    
                    <?php get_sidebar(); ?>
                </div>
            </div>
<?php
        endif;
    endif;
?>

<?php
    get_template_part( 'templates/homepage-lower' );
    get_template_part( 'templates/content-after' );
    get_footer();
?>