<?php
    get_header();
    get_template_part( 'templates/hero-page' );
?>

<div class="<?php echo set_theme_container(); ?>">
    <div class="row">
        <main class="col">
            
            <?php
                while ( have_posts() ) :
                    the_post();

                    the_content();
                    
                    $tags = get_the_tags();
                    if ($tags) :
            ?>
            <h2 class="h4">Tags</h2>
            <div class="text-lg">
                <?php foreach($tags as $tag): ?>
                <a class="badge badge-pill badge-primary text-capitalize mr-2" href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"
                title="<?php echo esc_attr( $tag->name ); ?>">
                    <?php echo esc_html( $tag->name ); ?>
                </a>
                <?php endforeach; ?>
            </div>
            <hr>
            <?php
                    endif;
            
                    // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                endwhile;
            ?>

            <hr>
        </main>

        <?php get_sidebar( 'sidebar' ); ?>

    </div>
</div>

<?php
    get_template_part( 'templates/content-after' );
    get_footer();
?>