<?php
    get_header();
    global $wp_query;
    global $query_string;

    $total_results = $wp_query->found_posts;
    wp_parse_str( $query_string, $search_query );
    $search = new WP_Query( $search_query );

    get_template_part( 'templates/hero-page' );
?>

<div class="<?php echo set_theme_container(); ?>">
    <div id="searchresults" class="row">

        <main class="col<?php
            if ( get_theme_mod( "perseverance_hide_header" ) ) {
                echo " pt-3";
        }?>">
            <?php if ( $search->have_posts() ) : ?>
            <span class="text-muted">
                <?php echo $total_results; ?> Result(s) for <em>"<?php echo get_search_query(); ?>".</em>
            </span>

            <hr>
            <?php endif; ?>

            <!-- the loop -->
            <?php
                if ( $search->have_posts() ) :
                    while ($search->have_posts()) :
                        $search->the_post(); ?>
            
                <div class="card bg-card-gradient shadow-sm mb-3">
                    <div class="card-body">
                        <a href="<?php the_permalink(); ?>" class="archive-link">
                            <h2 class="card-title h4">
                                <?php the_title(); ?>
                            </h2>
                        </a>
                        <div class="d-flex">
                            <small class="text-muted mr-4">
                                <?php the_date();?>
                            </small>
                            <?php
                                $tags = get_the_tags();
                                if ($tags) : foreach($tags as $tag): ?>
                            <small class="badge badge-primary mr-1">
                                <?php echo esc_html( $tag->name ); ?>
                            </small>
                            <?php endforeach; endif; ?>
                        </div>
                        <?php the_excerpt(); ?>
                    </div>
                </div>

                <?php endwhile; ?>
            <?php else : ?>
                
            <!-- No posts found -->
                <div class="card card-body bg-card-gradient shadow-sm my-auto">
                    <div class="row">
                        <div class="col">
                            <h2 class="card-title h4">No results for <em>"<?php echo get_search_query(); ?>"</em>.</h2>
                            <p class="card-text">
                                Try a different term or search tag or category.
                            </p>
                        </div>
                        <div class="col-lg-4 text-center align-middle">
                            <img width="85px" src="<?php echo get_template_directory_uri(); ?>/assets/images/404-browser-circle.svg" alt="404 image of a browser with a visible warning">
                        </div>
                    </div>
                    
                    <?php get_search_form(); ?>
                    <small class="form-text text-muted pl-1">
                        Try again?
                    </small>
                </div>

                <hr>

            <?php endif; ?>
        </main>

        <?php get_sidebar('sidebar.php'); ?>
        
    </div>
</div>
<?php
    get_template_part( 'templates/content-after' );
    get_footer();
?>